<html>
<head>
<title>Ogre::Technique::GPUVendorRule Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Technique.html">Technique</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1Technique_1_1GPUVendorRule.html">GPUVendorRule</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Technique::GPUVendorRule Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Technique::GPUVendorRule" -->
<p>Rule controlling whether technique is deemed supported based on GPU vendor.  
 <a href="structOgre_1_1Technique_1_1GPUVendorRule.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreTechnique_8h_source.html">OgreTechnique.h</a>&gt;</code></p>

<p><a href="structOgre_1_1Technique_1_1GPUVendorRule-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Technique_1_1GPUVendorRule.html#abe3caaaf5e149694cbd1b9b77ca3e6b1">GPUVendorRule</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Technique_1_1GPUVendorRule.html#ac327a850fa93593d65c62b71f575b8bc">GPUVendorRule</a> (<a class="el" href="group__RenderSystem.html#gac4c251bcc05376f701348bfe0f4a53b4">GPUVendor</a> v, <a class="el" href="classOgre_1_1Technique.html#a1ade219e17b5e8d73d079d11f64a2a2d">IncludeOrExclude</a> ie)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__RenderSystem.html#gac4c251bcc05376f701348bfe0f4a53b4">GPUVendor</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Technique_1_1GPUVendorRule.html#a79d34dde82e07466421e7fb2660d3db7">vendor</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Technique.html#a1ade219e17b5e8d73d079d11f64a2a2d">IncludeOrExclude</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Technique_1_1GPUVendorRule.html#a60cb77ded55eb1fd08da385acf4ad903">includeOrExclude</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Rule controlling whether technique is deemed supported based on GPU vendor. </p>

<p>Definition at line <a class="el" href="OgreTechnique_8h_source.html#l00122">122</a> of file <a class="el" href="OgreTechnique_8h_source.html">OgreTechnique.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="abe3caaaf5e149694cbd1b9b77ca3e6b1"></a><!-- doxytag: member="Ogre::Technique::GPUVendorRule::GPUVendorRule" ref="abe3caaaf5e149694cbd1b9b77ca3e6b1" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1Technique_1_1GPUVendorRule.html#abe3caaaf5e149694cbd1b9b77ca3e6b1">Ogre::Technique::GPUVendorRule::GPUVendorRule</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTechnique_8h_source.html#l00126">126</a> of file <a class="el" href="OgreTechnique_8h_source.html">OgreTechnique.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac327a850fa93593d65c62b71f575b8bc"></a><!-- doxytag: member="Ogre::Technique::GPUVendorRule::GPUVendorRule" ref="ac327a850fa93593d65c62b71f575b8bc" args="(GPUVendor v, IncludeOrExclude ie)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1Technique_1_1GPUVendorRule.html#abe3caaaf5e149694cbd1b9b77ca3e6b1">Ogre::Technique::GPUVendorRule::GPUVendorRule</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__RenderSystem.html#gac4c251bcc05376f701348bfe0f4a53b4">GPUVendor</a>&#160;</td>
          <td class="paramname"><em>v</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Technique.html#a1ade219e17b5e8d73d079d11f64a2a2d">IncludeOrExclude</a>&#160;</td>
          <td class="paramname"><em>ie</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTechnique_8h_source.html#l00128">128</a> of file <a class="el" href="OgreTechnique_8h_source.html">OgreTechnique.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a60cb77ded55eb1fd08da385acf4ad903"></a><!-- doxytag: member="Ogre::Technique::GPUVendorRule::includeOrExclude" ref="a60cb77ded55eb1fd08da385acf4ad903" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Technique.html#a1ade219e17b5e8d73d079d11f64a2a2d">IncludeOrExclude</a> <a class="el" href="structOgre_1_1Technique_1_1GPUVendorRule.html#a60cb77ded55eb1fd08da385acf4ad903">Ogre::Technique::GPUVendorRule::includeOrExclude</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTechnique_8h_source.html#l00125">125</a> of file <a class="el" href="OgreTechnique_8h_source.html">OgreTechnique.h</a>.</p>

</div>
</div>
<a class="anchor" id="a79d34dde82e07466421e7fb2660d3db7"></a><!-- doxytag: member="Ogre::Technique::GPUVendorRule::vendor" ref="a79d34dde82e07466421e7fb2660d3db7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__RenderSystem.html#gac4c251bcc05376f701348bfe0f4a53b4">GPUVendor</a> <a class="el" href="structOgre_1_1Technique_1_1GPUVendorRule.html#a79d34dde82e07466421e7fb2660d3db7">Ogre::Technique::GPUVendorRule::vendor</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTechnique_8h_source.html#l00124">124</a> of file <a class="el" href="OgreTechnique_8h_source.html">OgreTechnique.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreTechnique_8h_source.html">OgreTechnique.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:09
</p>
</body>
</html>
